=== debian/changelog ===
open-vm-tools (2008.05.02-90473-0ubuntu0) hardy; urgency=low

  * New upstream release

 -- Jun Kobayashi <kobayashi@ubuntulinux.jp>  Sun, 11 May 2008 03:05:13 +0900

open-vm-tools (2008.01.23-74039-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Soren Hansen <soren@ubuntu.com>  Wed, 13 Feb 2008 13:41:25 +0100

open-vm-tools (2007.11.21-64693-0ubuntu1) hardy; urgency=low

  * Initial release. Many thanks to Meethune Bhowmick <meethune@gmail.com> for
    helping out!

 -- Soren Hansen <soren@ubuntu.com>  Thu, 29 Nov 2007 17:12:28 +0100
