=== debian/control ===
Source: open-vm-tools
Section: utils
Priority: extra
Maintainer: Jun Kobayashi <kobayashi@ubuntulinux.jp>
Build-Depends: debhelper (>= 5), quilt, libtool, automake1.10, autotools-dev, libxrandr-dev, libxinerama-dev, libxtst-dev, libgtk2.0-dev, libproc-dev, libdumbnet-dev, libicu-dev
Standards-Version: 3.7.2

Package: open-vm-tools
Architecture: i386 amd64
Depends: ${shlibs:Depends}, lsb-base (>= 3.0-6)
Description: VMWare guest tools (non-GUI parts)
 The open-vm-tools are a subset of the VMware Tools, currently composed of
 kernel modules for Linux and user-space programs for all VMware supported
 Unix like guest operating systems.
 .
 This package contains the non-GUI parts of open-vm-tools.

Package: open-vm-tools-gui
Architecture: i386 amd64
Depends: ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
Suggests: xserver-xorg-input-vmmouse, xserver-xorg-video-vmware
Description: VMWare guest tools
 The open-vm-tools are a subset of the VMware Tools, currently composed of
 kernel modules for Linux and user-space programs for all VMware supported
 Unix like guest operating systems.
 .
 This package contains the GUI parts of open-vm-tools.

Package: open-vm-source
Architecture: all
Depends: debhelper (>>4.0.0), make, bzip2
Suggests: module-assistant, kernel-package, linux-headers | linux-source
Enhances: open-vm-tools
Description: Source for the open-vm drivers
 This package provides the source code for the open-vm kernel modules.
 The open-vm-tools package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.
 .
 NOT needed for Ubuntu systems.
